%global debug_package %{nil}
%global date 20171113

Name:            fp560k-cups-drive
Version:         1.0
Release:        %{date}%{?dist}.1
Summary:        Linux printer driver
BuildArch:      mips64el

Group:          System Environment
License:        GPLv2
URL:            http://www.loongnix.org
Source0:        %{name}.tar.gz

%description
Linux printer driver usefor fp560k.

%prep
%setup -q -c

%build
# nothing to do

%install
%{__install} -d %{buildroot}/%{_var}/cache/fp560k
%{__install} -d %{buildroot}/%{_var}/cache/fp560k/fp560k
%{__install} -m 0755 %{_builddir}/%{name}-%{version}/install %{buildroot}/%{_var}/cache/fp560k
%{__install} -m 0755  %{_builddir}/%{name}-%{version}/rastertojmdot  %{buildroot}/%{_var}/cache/fp560k
%{__install} -m 0664  %{_builddir}/%{name}-%{version}/fp560k.ppd  %{buildroot}/%{_var}/cache/fp560k
%{__install} -m 0664  %{_builddir}/%{name}-%{version}/README  %{buildroot}/%{_var}/cache/fp560k/fp560k

%post
if [ -e /var/cache/fp560k/install ]; then
    /usr/bin/cp -rf /var/cache/fp560k/fp560k  %{_kde4_docdir}
    cd /var/cache/fp560k/ && ./install
fi

%postun
if [ $1 -eq 0 ] ; then
    lpadmin -x Jolimark-FP-560K
    rm -rf %{_kde4_docdir}/fp560k
fi

%files
%{_var}/cache/fp560k

%changelog
* Mon Nov 13 2017 Nan xiongchao <nanxiongchao@loongson.cn> - 1.0-20171113.1
- resolve problem update or downgrade missing driver

* Fri Oct 13 2017 Nan xiongchao <nanxiongchao@loongson.cn> - 0.20171013-0
- Initial printer driver for fp560k
